import { W as t, a, e as o } from "./tiny-monaco-main-5c02d545.js";
window.MonacoEnvironment = {
  getWorker(e, r) {
    return r === "javascript" || r === "typescript" ? new t() : new a();
  }
};
const n = {
  language: "javascript",
  theme: "vs-dark",
  automaticLayout: !0,
  minimap: {
    enabled: !1
  }
};
function p(e, r) {
  return o.create(e, {
    ...n,
    ...r ?? {}
  });
}
export {
  p as createEditor
};
